com.jscape.inet.gateway.port.web

## Class WebApiClient.OperationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - com.jscape.inet.gateway.port.web.WebApiClient.OperationException

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    WebApiClient.ConnectionException, WebApiClient.InvalidCredentialsException, WebApiClient.ServerException
  Enclosing class:
    WebApiClient

      public static class WebApiClient.OperationException
      extends java.io.IOException

  Represents an operation error.
  Author:
    Alex Usun
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OperationException()`
    `OperationException(java.lang.String message)`
    `OperationException(java.lang.String message, java.lang.Throwable cause)`
    `OperationException(java.lang.Throwable cause)`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static WebApiClient.OperationException` | `wrap(java.lang.Throwable e)`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### OperationException

          public OperationException()

    - #### OperationException

          public OperationException(java.lang.String message)

    - #### OperationException

          public OperationException(java.lang.String message,
                                    java.lang.Throwable cause)

    - #### OperationException

          public OperationException(java.lang.Throwable cause)

  - ### Method Detail

    - #### wrap

          public static WebApiClient.OperationException wrap(java.lang.Throwable e)

Copyright © Advanced Systems Concepts Inc. 2009-2021. All Rights Reserved